Package twisted :: Package conch :: Package ssh :: Module forwarding :: Class SSHListenServerForwardingChannel

[show private | hide private]
[frames | no frames]

## Class SSHListenServerForwardingChannel

                SSHChannel --+
                             |
    SSHListenForwardingChannel --+
                                 |
                                SSHListenServerForwardingChannel

Method Summary
| `__init__(self, localWindow, localMaxPacket, remoteWindow, remoteMaxPacket, conn)` (inherited from `SSHChannel`)
| `__str__(self)` (inherited from `SSHChannel`)
| ``addWindowBytes`(self, bytes)` Called when bytes are added to the remote window. (inherited from `SSHChannel`)
| ``channelOpen`(self, specificData)` Called when the channel is opened. (inherited from `SSHListenForwardingChannel`)
| ``closed`(self)` Called when the channel is closed. (inherited from `SSHListenForwardingChannel`)
| ``dataReceived`(self, data)` Called when we receive data. (inherited from `SSHListenForwardingChannel`)
| ``eofReceived`(self)` Called when the other side will send no more data. (inherited from `SSHListenForwardingChannel`)
| ``extReceived`(self, dataType, data)` Called when we receive extended data (usually standard error). (inherited from `SSHChannel`)
`tuple` | ``getHost`(self)` Return a tuple describing out side of the connection. (inherited from `SSHChannel`)
`tuple` | ``getPeer`(self)` Return a tuple describing the other side of the connection. (inherited from `SSHChannel`)
| ``loseConnection`(self)` Close the channel. (inherited from `SSHChannel`)
| ``openFailed`(self, reason)` Called when the the open failed for some reason. (inherited from `SSHListenForwardingChannel`)
`bool` | ``requestReceived`(self, requestType, data)` Called when a request is sent to this channel. (inherited from `SSHChannel`)
| ``startWriting`(self)` Called when the remote buffer has more room, as a hint to continue writing. (inherited from `SSHChannel`)
| ``stopWriting`(self)` Called when the remote buffer is full, as a hint to stop writing. (inherited from `SSHChannel`)
| ``write`(self, data)` Write some data to the channel. (inherited from `SSHChannel`)
| ``writeExtended`(self, dataType, data)` Send extended data to this channel. (inherited from `SSHChannel`)
| ``writeSequence`(self, data)` Part of the Transport interface. (inherited from `SSHChannel`)

Class Variable Summary
`str` | `name`

Class Variable Details

### name

  Type:
    `str`
  Value:

        'forwarded-tcpip'

Generated by Epydoc 1.1 on Thu May 8 13:18:19 2003 | http://epydoc.sf.net